Bug 30813 - Appliance: windows/wins-server not updated after join.
Appliance: windows/wins-server not updated after join.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-18 16:41 CET by Arvid Requate
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-03-18 16:41:01 CET
On a UCS DC Slave with Samba4 created from an appliance template machine the UCR variable windows/wins-server was set to a server name which did not match the FQDN of the DC master in the domain. In the specific case the relevant UCR variables after finishing the system setup of the appliance (with samba4 selected) but before finally joining the DC Slave were:

root@slave14:~# ucr search --brief windows/wins-server ldap/server/name windows/domain ^domainname
domainname: arucs31i0.qa                 ## this is the new domain name
ldap/server/name: master.univention.qa   ## this is some legacy name
windows/domain: ARUCS31I0
windows/wins-server: master.univention.qa

After joining, windows/wins-server was still unchanged. Probably the variable should not be initialized in the postinst but in the join script instead.
Comment 1 Tobias Peters univentionstaff 2013-04-24 14:50:11 CEST
The initiation of the UCR variable windows/wins-server has beend moved from univention-samba4.postinst to the join script 96univention-samba4.inst. This has the consequence that the variable has the right value after joining.
Comment 2 Moritz Muehlenhoff univentionstaff 2013-05-31 10:43:08 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 3 Arvid Requate univentionstaff 2013-06-25 16:00:01 CEST
Currently the joinscript sets this variable only on Samba4 DCs that are joined "normally", which probably is the right thing to do. But I think it would be good to then not set it statically to $ldap_master, but to nove the code inside the bash function samba_domain_join and set the variable either to samba4/dc or to the fqdn of the specific server. On the other hand, if normal broadcast-join works, then the variable does not need to be set.

Initialization of windows/wins-support should also be moved from postinst to the joinscript: It should be set ='yes' for provisioned DCs and ?'no' on DCs that are "normally" joined.
Comment 4 Tobias Peters univentionstaff 2013-06-28 10:13:05 CEST
The behaviour and the changelogs have been adjusted accordingly.
Comment 5 Arvid Requate univentionstaff 2013-07-02 16:27:18 CEST
Ok.
Comment 6 Arvid Requate univentionstaff 2013-07-02 16:36:26 CEST
Actually the stuff was still in the postinst, I removed it,.
Comment 7 Stefan Gohmann univentionstaff 2013-08-15 09:18:16 CEST
(In reply to Arvid Requate from comment #3)
> Currently the joinscript sets this variable only on Samba4 DCs that are
> joined "normally", which probably is the right thing to do. But I think it
> would be good to then not set it statically to $ldap_master, but to nove the
> code inside the bash function samba_domain_join and set the variable either
> to samba4/dc or to the fqdn of the specific server. On the other hand, if
> normal broadcast-join works, then the variable does not need to be set.

For S3 it is still set statically to $ldap_master if the broadcast join was successful.

All other tests were successful.

Changelog: OK
Comment 8 Arvid Requate univentionstaff 2013-08-15 19:21:23 CEST
Fixed.
Comment 9 Stefan Gohmann univentionstaff 2013-08-16 07:03:37 CEST
OK
Comment 10 Stefan Gohmann univentionstaff 2013-11-19 06:43:01 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".